### Class method

# Ide WorkspaceClass set_kind

#### Declaration

    void
    ide_workspace_class_set_kind (
      IdeWorkspaceClass* klass,
      const gchar* kind
    )

#### Description

Sets the shorthand name for the kind of workspace. This is used to limit what `IdeWorkspaceAddin` may load within the workspace.

Available since: | 3.32

#### Parameters

`kind` | `const gchar*`
| No description available.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.